"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const ImageButton_1 = __importDefault(require("./ImageButton"));
const SceneUtils_1 = __importDefault(require("../utils/SceneUtils"));
const CheckSelected = require('../assets/images/check_selected.png');
const CheckUnSelected = require('../assets/images/check_unselected.png');
const BottomPopup = (object) => {
    const { headerArr, onCrossPress, onHeaderItemClick, selectedPopupData, data, nobodyDetailsSavedBool, is_male } = object;
    const renderHeader = () => (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(react_native_1.View, { style: styles.headerContainer },
            react_1.default.createElement(react_native_1.FlatList, { data: headerArr, style: { marginRight: 14, zIndex: 100 }, horizontal: true, renderItem: (item) => (react_1.default.createElement(react_native_1.TouchableOpacity, { onPress: () => onHeaderItemClick('headerIndex', item.index), style: {
                        paddingTop: 14,
                        paddingBottom: 14,
                        paddingLeft: 12,
                        paddingRight: 12,
                        borderBottomColor: selectedPopupData.headerIndex === item.index
                            ? SceneUtils_1.default.primary_color
                            : SceneUtils_1.default.secondary_color,
                        borderBottomWidth: 2,
                    } },
                    react_1.default.createElement(react_native_1.Text, { style: {
                            fontSize: selectedPopupData.headerIndex === item.index ? 14 : 12,
                            fontFamily: SceneUtils_1.default.whitney_semibold,
                            color: selectedPopupData.headerIndex === item.index
                                ? SceneUtils_1.default.primary_color
                                : SceneUtils_1.default.text_color,
                        } }, item.item))), showsHorizontalScrollIndicator: false, keyExtractor: (item, index) => index.toString() }),
            react_1.default.createElement(ImageButton_1.default, { imagepath: require('../assets/images/letter-x.png'), width: 15, height: 15, marginRight: 10, marginBottom: 10, onPress: onCrossPress })),
        renderSeperator(),
        renderBody()));
    const renderSeperator = () => react_1.default.createElement(react_native_1.View, { style: styles.seperator });
    const renderBody = () => (react_1.default.createElement(react_native_1.FlatList, { data: data, style: { marginTop: 16, marginBottom: 16, marginLeft: 16 }, horizontal: true, renderItem: renderFaceHairBody, extraData: data, showsHorizontalScrollIndicator: false, keyExtractor: (item, index) => index.toString() }));
    const sendType = () => {
        switch (selectedPopupData['headerIndex']) {
            case 0:
                return nobodyDetailsSavedBool ? (is_male ? 'hairIndexMale' : 'hairIndex') : (is_male ? 'skinIndexMale' : 'skinIndex');
            case 1:
                return nobodyDetailsSavedBool ? 'lipsIndex' : (is_male ? 'hairIndexMale' : 'hairIndex');
            case 2:
                return !nobodyDetailsSavedBool && !is_male ? 'lipsIndex' : (is_male ? 'backDropIndexMale' : 'backDropIndex');
            case 3:
                return is_male ? 'backDropIndexMale' : 'backDropIndex';
        }
        // return
    };
    const renderFaceHairBody = (item) => (react_1.default.createElement(react_native_1.View, { style: {
            marginLeft: item.index === 0 ? 0 : 12,
        } },
        react_1.default.createElement(react_native_1.TouchableOpacity, { onPress: () => onHeaderItemClick(sendType(), item.item.id), style: {
                height: 90,
                width: 90,
                backgroundColor: 'white',
                borderRadius: 4,
                justifyContent: 'flex-end',
                alignItems: 'center',
                borderColor: selectedPopupData[sendType()] == item.item.id
                    ? SceneUtils_1.default.primary_color
                    : SceneUtils_1.default.secondary_color,
                borderWidth: 1,
            } },
            react_1.default.createElement(react_native_1.Image, { style: {
                    height: (is_male ? selectedPopupData[sendType()] === 'hairIndexMale' : selectedPopupData[sendType()] === 'hairIndex') ? 80 : '100%',
                    width: (is_male ? selectedPopupData[sendType()] === 'hairIndexMale' : selectedPopupData[sendType()] === 'hairIndex') ? 80 : '100%',
                }, source: { uri: `${SceneUtils_1.default.BASE_URL}/${item.item.thumb}` } }),
            react_1.default.createElement(react_native_1.Image, { style: {
                    position: 'absolute',
                    top: 7,
                    left: 7,
                    height: 20,
                    width: 20,
                    borderRadius: 10,
                }, source: selectedPopupData[sendType()] == item.item.id
                    ? CheckSelected
                    : CheckUnSelected }))));
    return react_1.default.createElement(react_native_1.View, { style: styles.container }, renderHeader());
};
const styles = react_native_1.StyleSheet.create({
    container: {
        position: 'absolute',
        bottom: 0,
        left: 0, right: 0,
        backgroundColor: 'rgba(255,255,255,0.9)',
        marginHorizontal: 16,
        borderRadius: 4,
        paddingBottom: 10,
        zIndex: 10,
    },
    headerContainer: {
        flexDirection: 'row',
        alignItems: 'center',
    },
    seperator: {
        height: 2,
        backgroundColor: '#d4d5d9',
        marginTop: -2,
        zIndex: 1,
    },
});
exports.default = BottomPopup;
//# sourceMappingURL=BottomPopup.js.map